
Figure - Bug #117475
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】网易云音乐，频繁切换小窗的状态或者移动其致四个角落，均会导致设备重启
2023-04-14 11:33 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-14

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-28

Test Type: ST Root cause: 强制小窗的场景，复现了原生的问题，已优化

Description

【测试步骤】

1.打开网易云音乐

2、频繁切换小窗的状态或者移动其致四个角落

【预期结果】

2、正常响应状态切换或者移动

【实际结果】

2、频繁切换小窗的状态或者移动其致四个角落，均会导致设备重启

History

#1 - 2023-04-14 19:23 - CD FW-鲁凯峰

由于system_server挂了导致的重启

04-14 07:26:04.098 21012 21012 F DEBUG   : pid: 17978, tid: 18000, name: android.anim  >>> system_server <<<

04-14 07:26:04.098 21012 21012 F DEBUG   : uid: 1000

04-14 07:26:04.098 21012 21012 F DEBUG   : signal 6 (SIGABRT), code 1 (SI_QUEUE), fault addr -------

04-14 07:26:04.098 21012 21012 F DEBUG   : Abort message: 'decStrong() called on 0xb400007b1d15e6a0 too many times'

目前还在分析中

#2 - 2023-04-15 19:53 - CD FW-鲁凯峰

user版本复现率很高,目前正在加log分析中

#3 - 2023-04-17 19:11 - CD FW-鲁凯峰

多decstrong问题:现在正在做排除法，今天晚上能确定从上层到surfacecontrol有没有问题。如果没问题，得去定位从上层到layer有没有问题。

#4 - 2023-04-19 15:15 - CD FW 曹覃刚
- Status changed from New to ASSIGNED

- Assignee changed from CD FW-鲁凯峰 to CD-DEV 唐军

#5 - 2023-04-19 20:07 - CD FW 曹覃刚

唐军的调查进展

可能原因: 多线程没加锁, 或者是原生代码有bug, 我们的场景让这个bug暴露出来了.

当前状态: 之前只能在user版本复现, 不方便调试. 目前修改代码让debug版本复现了,  由于修改libutils.so后底层库libhidlbase.so和libhidlmemory.so调用libutils.so

异常, 目前正常尝试让这两个库使用原来的libutils.so, 而我们需要debug库libbinder.so和libgui.so使用修改后的libutils.so来debug当前问题.

#6 - 2023-04-20 21:01 - CD FW 曹覃刚

唐军的调查进展

现状: 

先在android.anim中创建的InputWindow后面释放时间, 和后在android.anim.lf中创建的InputWindow释放时机一致, 后创建的InputWindow居然与未释放

的InputWindow地址相同.

下一步: 

跟踪InputWindow释放时机.

#7 - 2023-04-23 19:53 - CD FW 曹覃刚

唐军的调查进展

当前进展：

规避修复方案调查中

下一步计划：

看看04/24能不能出个初版的修复方案出来

#8 - 2023-04-24 18:51 - CD FW 曹覃刚

唐军的调查进展

当前进展：

已做了个修复提交，并起了VB编译任务

下一步计划：

待版本出来后依赖测试同学验证

编译任务链接:

http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/3447/

#9 - 2023-04-25 09:38 - CD FW 曹覃刚

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD-DEV 唐军 to CD TEST-方永红

- Need_Info changed from -- to TEST
Hi 永红

请帮助使用下面的版本，验证此问题，谢谢

/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230424/202304241918-3448

#10 - 2023-04-25 15:07 - CD TEST-方永红

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD FW 曹覃刚

4.25

【验证版本】

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304241918

【验证结果】

验证失败

#11 - 2023-04-27 20:09 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195902 general/platform/frameworks/native Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MultiWindow: Fix the restart problem caused by small windowsTC-RID: 1201-0204601IssueID: TS-R-BUG-117475Change-Id:

I961b2146cc82a8ce85bdaad6dda5a7ac3564f8fb

#12 - 2023-04-27 20:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195903 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MultiWindow: Fix the restart problem caused by small windowsTC-RID: 1201-0204601IssueID: TS-R-BUG-117475Change-Id:

I690ce9d68b828207862b0f3d38573fbbda607f48

#13 - 2023-04-27 20:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195905 general/platform/frameworks/av Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MultiWindow: Fix the restart problem caused by small windowsTC-RID: 1201-0204601IssueID: TS-R-BUG-117475Change-Id:

I352f123e9ab71e8cd90ed8496ad935265b026c1d

2025-07-04 3/4



#14 - 2023-04-27 20:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195909 general/LA.QSSI/LINUX/android/ven

dor/qcom/proprietary

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:MultiWindow: Fix the restart problem caused by small windowsTC-RID: 1201-0204601IssueID: TS-R-BUG-117475Change-Id:

I6b59f8ae7c2eb0d7380045f36793b31b90980699

#15 - 2023-04-27 20:17 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-28

- Root cause set to 强制小窗的场景，复现了原生的问题，已优化

#16 - 2023-04-28 17:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

4.28

验证通过

#17 - 2023-04-28 17:55 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

4141119.txt 4.2 MB 2023-04-14 CD TEST-方永红

Phone-STS40X190078 2023-04-14 11-11-49.mp4 21 MB 2023-04-14 CD TEST-方永红
